Oceus Networks® VPN Client v2

Certificate details

Status archived
Valid from 03.02.2017
Valid until 03.02.2019
Scheme 🇺🇸 US
Manufacturer Oceus Networks, Inc.
Category Data Protection
Security level N/A
Protection profiles

Certificate

Extracted keywords

Protocols
IPsec, VPN

Certificates
CCEVS-VR-VID10754-2017
Evaluation facilities
Gossamer Security

Certification report

Extracted keywords

Symmetric Algorithms
AES
Protocols
IKEv1, IKEv2, IPsec, VPN
Randomness
DRBG, RBG
Block cipher modes
CBC

Vendor
Samsung

Security Functional Requirements (SFR)
FCS_CKM.1
Certificates
CCEVS-VR-VID10754-2017
Evaluation facilities
Gossamer Security

Frontpage

Certificate ID CCEVS-VR-VID10754-2017 Dated: February 3, 2017 Version: 1.0
Certified item ## for ## Oceus Networks VPN Client (IVPNCPP14
Certification lab US NIAP

Security target

Extracted keywords

Symmetric Algorithms
AES, AES-256, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512
Asymmetric Algorithms
ECDSA, ECC, DH, Diffie-Hellman, DSA
Hash functions
SHA-1, SHA-256, SHA-384, SHA-512
Schemes
MAC, Key Exchange
Protocols
IKEv1, IKEv2, IKE, IPsec, VPN
Randomness
DRBG, RBG
Elliptic Curves
P-256, P-384, P-521
Block cipher modes
CBC, GCM

Vendor
Samsung

Security level
EAL 1
Claims
OE.NO_TOE_BYPASS, OE.PHYSICAL, OE.TRUSTED_CONFIG
Security Assurance Requirements (SAR)
ADV_FSP, ADV_FSP.1, AGD_OPE, AGD_PRE, AGD_OPE.1, AGD_PRE.1, ALC_CMC, ALC_CMS, ALC_CMC.1, ALC_CMS.1, ATE_IND, ATE_IND.1, AVA_VAN, AVA_VAN.1
Security Functional Requirements (SFR)
FCS_CKM_EXT, FCS_RBG_EXT, FCS_CKM.1, FCS_COP.1, FCS_CKM_EXT.2, FCS_CKM_EXT.2.1, FCS_CKM_EXT.4, FCS_CKM_EXT.4.1, FCS_RBG_EXT.1, FCS_RBG_EXT.1.1, FCS_RBG_EXT.1.2, FDP_ACC.1, FDP_RIP, FDP_RIP.2, FDP_RIP.2.1, FIA_PSK_EXT, FIA_PSK_EXT.1, FIA_PSK_EXT.1.1, FIA_PSK_EXT.1.2, FIA_PSK_EXT.1.3, FMT_SMF.1, FPT_TST_EXT, FPT_TUD_EXT, FPT_TST_EXT.1, FPT_TST_EXT.1.1, FPT_TST_EXT.1.2, FPT_TUD_EXT.1, FPT_TUD_EXT.1.1, FPT_TUD_EXT.1.2, FPT_TUD_EXT.1.3, FTP_ITC, FTP_ITC.1, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

CCEVS-VR-VID-10754-2017

Extracted SARs

ADV_FSP.1, AGD_OPE.1, AGD_PRE.1, ALC_CMC.1, ALC_CMS.1, ATE_IND.1, AVA_VAN.1

Scheme data

Product Oceus Networks® VPN Client v2
Id CCEVS-VR-VID10754
URL https://www.niap-ccevs.org/products/10754
Api Url https://www.niap-ccevs.org/api/project/product/pcl_products/10754/
Certification Date 03.02.2017
Expiration Date 03.02.2019
Category Virtual Private Network
Categories
  • Virtual Private Network
Vendor Oceus Networks, Inc.
Evaluation Facility Gossamer Security Solutions
Scheme US

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Data Protection",
  "cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10754-ci.pdf",
  "dgst": "f9b7da8c5d121d2c",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "CCEVS-VR-VID-10754-2017",
    "cert_lab": [
      "US"
    ],
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL1",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_PRE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_OPE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": {
      "_type": "Set",
      "elements": [
        "db7434eb64f09c94"
      ]
    },
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": {
      "api_url": "https://www.niap-ccevs.org/api/project/product/pcl_products/10754/",
      "categories": [
        "Virtual Private Network"
      ],
      "category": "Virtual Private Network",
      "certification_date": "2017-02-03",
      "evaluation_facility": "Gossamer Security Solutions",
      "expiration_date": "2019-02-03",
      "id": "CCEVS-VR-VID10754",
      "product": "Oceus Networks\u00ae VPN Client v2",
      "scheme": "US",
      "url": "https://www.niap-ccevs.org/products/10754",
      "vendor": "Oceus Networks, Inc."
    },
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "Oceus Networks, Inc.",
  "manufacturer_web": "https://www.oceusnetworks.com",
  "name": "Oceus Networks\u00ae VPN Client v2",
  "not_valid_after": "2019-02-03",
  "not_valid_before": "2017-02-03",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": "st_vid10754-ci.pdf",
    "cert_frontpage": null,
    "cert_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-VID10754-2017": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IPsec": {
          "IPsec": 1
        },
        "VPN": {
          "VPN": 2
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 1
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {},
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "cert_metadata": {
      "/CreationDate": "D:20170207141001-05\u002700\u0027",
      "/ModDate": "D:20170207141038-05\u002700\u0027",
      "/Producer": "iText 2.1.0 (by lowagie.com)",
      "pdf_file_size_bytes": 179076,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 1
    },
    "report_filename": "st_vid10754-vr.pdf",
    "report_frontpage": {
      "US": {
        "cert_id": "CCEVS-VR-VID10754-2017 Dated: February 3, 2017 Version: 1.0",
        "cert_item": "## for ## Oceus Networks VPN Client (IVPNCPP14",
        "cert_lab": "US NIAP"
      }
    },
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-VID10754-2017": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_CKM.1": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 1
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKEv1": 2,
          "IKEv2": 2
        },
        "IPsec": {
          "IPsec": 20
        },
        "VPN": {
          "VPN": 68
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 4
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 4
        },
        "RNG": {
          "RBG": 1
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 1
        },
        "NIST": {
          "NIST SP 800-131A": 1
        },
        "PKCS": {
          "PKCS 5": 1
        },
        "X509": {
          "X.509": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Samsung": {
          "Samsung": 5
        }
      },
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "comptont",
      "/Company": "Gossamer Security Solutions",
      "/ContentTypeId": "0x0101005D9107176838F542B4297D2C73272E37",
      "/CreationDate": "D:20170207135112-05\u002700\u0027",
      "/Creator": "Acrobat PDFMaker 11 for Word",
      "/ModDate": "D:20170207135118-05\u002700\u0027",
      "/Producer": "Adobe PDF Library 11.0",
      "/SourceModified": "D:20170207185043",
      "/_NewReviewCycle": "",
      "pdf_file_size_bytes": 134830,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.kb.cert.org/vuls/",
          "https://web.nvd.nist.gov/view/vuln/search"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 14
    },
    "st_filename": "st_vid10754-st.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDSA": {
            "ECDSA": 9
          }
        },
        "FF": {
          "DH": {
            "DH": 11,
            "Diffie-Hellman": 2
          },
          "DSA": {
            "DSA": 1
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "OE": {
          "OE.NO_TOE_BYPASS": 1,
          "OE.PHYSICAL": 1,
          "OE.TRUSTED_CONFIG": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP": 1,
          "ADV_FSP.1": 9
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_OPE.1": 11,
          "AGD_PRE": 1,
          "AGD_PRE.1": 6
        },
        "ALC": {
          "ALC_CMC": 1,
          "ALC_CMC.1": 4,
          "ALC_CMS": 1,
          "ALC_CMS.1": 5
        },
        "ATE": {
          "ATE_IND": 1,
          "ATE_IND.1": 5
        },
        "AVA": {
          "AVA_VAN": 1,
          "AVA_VAN.1": 9
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL 1": 2
        }
      },
      "cc_sfr": {
        "FCS": {
          "FCS_CKM.1": 13,
          "FCS_CKM_EXT": 6,
          "FCS_CKM_EXT.2": 1,
          "FCS_CKM_EXT.2.1": 1,
          "FCS_CKM_EXT.4": 1,
          "FCS_CKM_EXT.4.1": 1,
          "FCS_COP.1": 21,
          "FCS_RBG_EXT": 3,
          "FCS_RBG_EXT.1": 4,
          "FCS_RBG_EXT.1.1": 1,
          "FCS_RBG_EXT.1.2": 1
        },
        "FDP": {
          "FDP_ACC.1": 3,
          "FDP_RIP": 2,
          "FDP_RIP.2": 1,
          "FDP_RIP.2.1": 1
        },
        "FIA": {
          "FIA_PSK_EXT": 2,
          "FIA_PSK_EXT.1": 2,
          "FIA_PSK_EXT.1.1": 1,
          "FIA_PSK_EXT.1.2": 1,
          "FIA_PSK_EXT.1.3": 1
        },
        "FMT": {
          "FMT_SMF.1": 8
        },
        "FPT": {
          "FPT_TST_EXT": 3,
          "FPT_TST_EXT.1": 1,
          "FPT_TST_EXT.1.1": 1,
          "FPT_TST_EXT.1.2": 1,
          "FPT_TUD_EXT": 3,
          "FPT_TUD_EXT.1": 1,
          "FPT_TUD_EXT.1.1": 1,
          "FPT_TUD_EXT.1.2": 1,
          "FPT_TUD_EXT.1.3": 1
        },
        "FTP": {
          "FTP_ITC": 2,
          "FTP_ITC.1": 1,
          "FTP_ITC.1.1": 1,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 9
        },
        "GCM": {
          "GCM": 8
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 14,
          "IKEv1": 24,
          "IKEv2": 25
        },
        "IPsec": {
          "IPsec": 50
        },
        "VPN": {
          "VPN": 101
        }
      },
      "crypto_scheme": {
        "KEX": {
          "Key Exchange": 5
        },
        "MAC": {
          "MAC": 3
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 10,
          "P-384": 10,
          "P-521": 4
        }
      },
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 4
          },
          "SHA2": {
            "SHA-256": 4,
            "SHA-384": 4,
            "SHA-512": 1
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 6
        },
        "RNG": {
          "RBG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 180-4": 1,
          "FIPS 186-4": 3,
          "FIPS 197": 1,
          "FIPS 198-1": 1,
          "FIPS PUB 180-4": 1,
          "FIPS PUB 186-3": 1,
          "FIPS PUB 186-4": 3,
          "FIPS PUB 197": 1,
          "FIPS PUB 198-1": 1
        },
        "NIST": {
          "NIST SP 800-38A": 1,
          "NIST SP 800-38D": 1,
          "NIST SP 800-57": 1,
          "SP 800-56A": 1,
          "SP 800-90A": 2
        },
        "PKCS": {
          "PKCS 5": 2
        },
        "RFC": {
          "RFC 2560": 2,
          "RFC 3602": 2,
          "RFC 4106": 2,
          "RFC 4109": 1,
          "RFC 4301": 2,
          "RFC 4303": 1,
          "RFC 4868": 2,
          "RFC 4945": 2,
          "RFC 5280": 2,
          "RFC 6379": 1
        },
        "X509": {
          "X.509": 8
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 11,
            "AES-256": 2
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 3,
            "HMAC-SHA-256": 5,
            "HMAC-SHA-384": 3,
            "HMAC-SHA-512": 2
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Samsung": {
          "Samsung": 7
        }
      },
      "vulnerability": {}
    },
    "st_metadata": {
      "/Author": "",
      "/Category": "Security Target",
      "/Comments": "Originally created by Gossamer Security Solutions",
      "/Company": "",
      "/CreationDate": "D:20170207162243-05\u002700\u0027",
      "/Creator": "Acrobat PDFMaker 11 for Word",
      "/Keywords": "",
      "/ModDate": "D:20170207162253-05\u002700\u0027",
      "/Producer": "Adobe PDF Library 11.0",
      "/SourceModified": "D:20170207212148",
      "/Subject": "Common Criteria Security Target",
      "/Title": "Oceus Networks VPN Client for Android (IVPNCPP14) Security Target",
      "/st_date": "19 January 2017",
      "/st_version": "0.9",
      "pdf_file_size_bytes": 351424,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 25
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": [
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp_vpn_ipsec_client_v1.4.pdf"
    ]
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10754-vr.pdf",
  "scheme": "US",
  "security_level": {
    "_type": "Set",
    "elements": []
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10754-st.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "279b7c73c330faae61a81206c17e8e076a9ea3608c2b202f8de1c0009b5d4fc9",
      "source_hash": "69984dde337ade62e1c6117cd7131b4ce38083fb42c785e8a490fdf6122885e5",
      "txt_hash": "fffcfde237e1c10957f9c63a19450d639fcad19219140b7e7bf10052c26b490b"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "eec3bac4cf5b0f2eca1a478c620d2c4b8a39f5da2db8ac05f1a4859f6c15cee3",
      "source_hash": "a14314ade8a7ca8b6e0cf563bef4ecf3144b625d1ad25f65e37dc91509a2a700",
      "txt_hash": "49db8cf83493c7c760024825759ce4998eb99d0618c68c77e3e815cc2c7e0631"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "7610217e87e0252ec1c8fdb76048b98b44631d0728ff1f06ff3456ddc263fc40",
      "source_hash": "98d9ff8bb39ff0078fe22283b3845b215e8b8bd77ce4653341fc5291d6ee6a6f",
      "txt_hash": "1bcf4e55ef1bad41a3bfd0c4419626795a9bf209e52fd4136f335a2923025b2e"
    }
  },
  "status": "archived"
}